<?php

namespace AlibabaCloud;

/**
 * Resolve product based on the static method name.
 *
 * @codeCoverageIgnore
 *
 * @method static ARMS\ARMS aRMS()
 * @method static ARMS4FINANCE\ARMS4FINANCE aRMS4FINANCE()
 * @method static Aas\Aas aas()
 * @method static Acm\Acm acm()
 * @method static AcmsOpen\AcmsOpen acmsOpen()
 * @method static Actiontrail\Actiontrail actiontrail()
 * @method static Adb\Adb adb()
 * @method static Aegis\Aegis aegis()
 * @method static Afs\Afs afs()
 * @method static Aiccs\Aiccs aiccs()
 * @method static Airec\Airec airec()
 * @method static AliProbe\AliProbe aliProbe()
 * @method static Alidns\Alidns alidns()
 * @method static Alikafka\Alikafka alikafka()
 * @method static Alimt\Alimt alimt()
 * @method static Alinlp\Alinlp alinlp()
 * @method static Aliyuncvc\Aliyuncvc aliyuncvc()
 * @method static AmqpOpen\AmqpOpen amqpOpen()
 * @method static AppMallsService\AppMallsService appMallsService()
 * @method static Baas\Baas baas()
 * @method static BatchCompute\BatchCompute batchCompute()
 * @method static Bss\Bss bss()
 * @method static BssOpenApi\BssOpenApi bssOpenApi()
 * @method static CCC\CCC cCC()
 * @method static CDRS\CDRS cDRS()
 * @method static CF\CF cF()
 * @method static CS\CS cS()
 * @method static CSB\CSB cSB()
 * @method static Cams\Cams cams()
 * @method static Cas\Cas cas()
 * @method static Cassandra\Cassandra cassandra()
 * @method static Cbn\Cbn cbn()
 * @method static Ccs\Ccs ccs()
 * @method static Cdn\Cdn cdn()
 * @method static Cds\Cds cds()
 * @method static Chatbot\Chatbot chatbot()
 * @method static CloudAPI\CloudAPI cloudAPI()
 * @method static CloudPhoto\CloudPhoto cloudPhoto()
 * @method static Cloudauth\Cloudauth cloudauth()
 * @method static Cloudesl\Cloudesl cloudesl()
 * @method static Cloudgame\Cloudgame cloudgame()
 * @method static Cloudmarketing\Cloudmarketing cloudmarketing()
 * @method static Cloudwf\Cloudwf cloudwf()
 * @method static Cms\Cms cms()
 * @method static Codeup\Codeup codeup()
 * @method static Commondriver\Commondriver commondriver()
 * @method static Companyreg\Companyreg companyreg()
 * @method static Config\Config config()
 * @method static Cr\Cr cr()
 * @method static Crm\Crm crm()
 * @method static CusanalyticScOnline\CusanalyticScOnline cusanalyticScOnline()
 * @method static DataworksPublic\DataworksPublic dataworksPublic()
 * @method static Dbs\Dbs dbs()
 * @method static Dcdn\Dcdn dcdn()
 * @method static Ddoscoo\Ddoscoo ddoscoo()
 * @method static Dds\Dds dds()
 * @method static DemoCenter\DemoCenter demoCenter()
 * @method static DevopsRdc\DevopsRdc devopsRdc()
 * @method static Dg\Dg dg()
 * @method static Dm\Dm dm()
 * @method static DmsEnterprise\DmsEnterprise dmsEnterprise()
 * @method static Domain\Domain domain()
 * @method static DomainIntl\DomainIntl domainIntl()
 * @method static Drcloud\Drcloud drcloud()
 * @method static Drds\Drds drds()
 * @method static Dts\Dts dts()
 * @method static Dybaseapi\Dybaseapi dybaseapi()
 * @method static Dyplsapi\Dyplsapi dyplsapi()
 * @method static Dypnsapi\Dypnsapi dypnsapi()
 * @method static Dysmsapi\Dysmsapi dysmsapi()
 * @method static Dyvmsapi\Dyvmsapi dyvmsapi()
 * @method static EHPC\EHPC eHPC()
 * @method static Eais\Eais eais()
 * @method static Eci\Eci eci()
 * @method static Ecs\Ecs ecs()
 * @method static EcsInc\EcsInc ecsInc()
 * @method static Edas\Edas edas()
 * @method static Elasticsearch\Elasticsearch elasticsearch()
 * @method static Emap\Emap emap()
 * @method static EmasAppmonitor\EmasAppmonitor emasAppmonitor()
 * @method static Emr\Emr emr()
 * @method static Ess\Ess ess()
 * @method static Facebody\Facebody facebody()
 * @method static Fnf\Fnf fnf()
 * @method static Foas\Foas foas()
 * @method static Ft\Ft ft()
 * @method static Geoip\Geoip geoip()
 * @method static Goodstech\Goodstech goodstech()
 * @method static Gpdb\Gpdb gpdb()
 * @method static Green\Green green()
 * @method static HBase\HBase hBase()
 * @method static HPC\HPC hPC()
 * @method static Hiknoengine\Hiknoengine hiknoengine()
 * @method static Hitsdb\Hitsdb hitsdb()
 * @method static Hsm\Hsm hsm()
 * @method static Httpdns\Httpdns httpdns()
 * @method static IDST\IDST iDST()
 * @method static ITaaS\ITaaS iTaaS()
 * @method static Idrsservice\Idrsservice idrsservice()
 * @method static ImageSearch\ImageSearch imageSearch()
 * @method static Imageaudit\Imageaudit imageaudit()
 * @method static Imageenhan\Imageenhan imageenhan()
 * @method static Imageprocess\Imageprocess imageprocess()
 * @method static Imagerecog\Imagerecog imagerecog()
 * @method static Imageseg\Imageseg imageseg()
 * @method static Imgsearch\Imgsearch imgsearch()
 * @method static Imm\Imm imm()
 * @method static IndustryBrain\IndustryBrain industryBrain()
 * @method static Iot\Iot iot()
 * @method static Iqa\Iqa iqa()
 * @method static Ivision\Ivision ivision()
 * @method static Ivpd\Ivpd ivpd()
 * @method static Jaq\Jaq jaq()
 * @method static Jarvis\Jarvis jarvis()
 * @method static JarvisPublic\JarvisPublic jarvisPublic()
 * @method static Kms\Kms kms()
 * @method static Ledgerdb\Ledgerdb ledgerdb()
 * @method static LinkFace\LinkFace linkFace()
 * @method static LinkWAN\LinkWAN linkWAN()
 * @method static Linkedmall\Linkedmall linkedmall()
 * @method static Live\Live live()
 * @method static Lubancloud\Lubancloud lubancloud()
 * @method static Lubanruler\Lubanruler lubanruler()
 * @method static MPServerless\MPServerless mPServerless()
 * @method static MPaaS\MPaaS mPaaS()
 * @method static Market\Market market()
 * @method static MoPen\MoPen moPen()
 * @method static Mts\Mts mts()
 * @method static Multimediaai\Multimediaai multimediaai()
 * @method static NAS\NAS nAS()
 * @method static Netana\Netana netana()
 * @method static Nlp\Nlp nlp()
 * @method static NlpAutoml\NlpAutoml nlpAutoml()
 * @method static NlsCloudMeta\NlsCloudMeta nlsCloudMeta()
 * @method static NlsFiletrans\NlsFiletrans nlsFiletrans()
 * @method static Objectdet\Objectdet objectdet()
 * @method static Ocr\Ocr ocr()
 * @method static Ocs\Ocs ocs()
 * @method static Oms\Oms oms()
 * @method static Ons\Ons ons()
 * @method static OnsMqtt\OnsMqtt onsMqtt()
 * @method static Oos\Oos oos()
 * @method static OpenSearch\OpenSearch openSearch()
 * @method static Openanalytics\Openanalytics openanalytics()
 * @method static OpenanalyticsOpen\OpenanalyticsOpen openanalyticsOpen()
 * @method static OssAdmin\OssAdmin ossAdmin()
 * @method static Ots\Ots ots()
 * @method static OutboundBot\OutboundBot outboundBot()
 * @method static PTS\PTS pTS()
 * @method static PetaData\PetaData petaData()
 * @method static Polardb\Polardb polardb()
 * @method static Polardbx\Polardbx polardbx()
 * @method static Privatelink\Privatelink privatelink()
 * @method static ProductCatalog\ProductCatalog productCatalog()
 * @method static Push\Push push()
 * @method static Pvtz\Pvtz pvtz()
 * @method static Qualitycheck\Qualitycheck qualitycheck()
 * @method static RKvstore\RKvstore rKvstore()
 * @method static ROS\ROS rOS()
 * @method static Ram\Ram ram()
 * @method static Rds\Rds rds()
 * @method static Reid\Reid reid()
 * @method static RetailadvqaPublic\RetailadvqaPublic retailadvqaPublic()
 * @method static Retailcloud\Retailcloud retailcloud()
 * @method static Rtc\Rtc rtc()
 * @method static Sae\Sae sae()
 * @method static Saf\Saf saf()
 * @method static Safconsole\Safconsole safconsole()
 * @method static Sas\Sas sas()
 * @method static SasApi\SasApi sasApi()
 * @method static Scdn\Scdn scdn()
 * @method static Schedulerx2\Schedulerx2 schedulerx2()
 * @method static Scsp\Scsp scsp()
 * @method static Servicemesh\Servicemesh servicemesh()
 * @method static Sgw\Sgw sgw()
 * @method static Skyeye\Skyeye skyeye()
 * @method static Slb\Slb slb()
 * @method static SmartHosting\SmartHosting smartHosting()
 * @method static Smartag\Smartag smartag()
 * @method static Smc\Smc smc()
 * @method static Sms\Sms sms()
 * @method static SmsIntl\SmsIntl smsIntl()
 * @method static Snsuapi\Snsuapi snsuapi()
 * @method static Sts\Sts sts()
 * @method static Tag\Tag tag()
 * @method static TagINner\TagINner tagINner()
 * @method static Tdsr\Tdsr tdsr()
 * @method static TeambitionAliyun\TeambitionAliyun teambitionAliyun()
 * @method static TeslaDam\TeslaDam teslaDam()
 * @method static TeslaMaxCompute\TeslaMaxCompute teslaMaxCompute()
 * @method static TeslaStream\TeslaStream teslaStream()
 * @method static Ubsms\Ubsms ubsms()
 * @method static UbsmsInner\UbsmsInner ubsmsInner()
 * @method static Uis\Uis uis()
 * @method static UniMkt\UniMkt uniMkt()
 * @method static Vcs\Vcs vcs()
 * @method static Videoenhan\Videoenhan videoenhan()
 * @method static Videorecog\Videorecog videorecog()
 * @method static Videosearch\Videosearch videosearch()
 * @method static Videoseg\Videoseg videoseg()
 * @method static Visionai\Visionai visionai()
 * @method static VisionaiPoc\VisionaiPoc visionaiPoc()
 * @method static Vod\Vod vod()
 * @method static VoiceNavigator\VoiceNavigator voiceNavigator()
 * @method static Vpc\Vpc vpc()
 * @method static Vs\Vs vs()
 * @method static WafOpenapi\WafOpenapi wafOpenapi()
 * @method static WelfareInner\WelfareInner welfareInner()
 * @method static Workorder\Workorder workorder()
 * @method static Xspace\Xspace xspace()
 * @method static Xtrace\Xtrace xtrace()
 * @method static YqBridge\YqBridge yqBridge()
 * @method static Yundun\Yundun yundun()
 * @method static meta\meta meta()
 */
trait IdeHelper
{
}
