<?php

namespace AlibabaCloud\Jaq\V20161123;

use AlibabaCloud\Client\Resolver\ApiResolver;

/**
 * @method MessagePrevention messagePrevention(array $options = [])
 * @method SpamRegisterPrevention spamRegisterPrevention(array $options = [])
 * @method OtherPrevention otherPrevention(array $options = [])
 * @method LoginPrevention loginPrevention(array $options = [])
 * @method CheckAccountAndPasswordRisk checkAccountAndPasswordRisk(array $options = [])
 * @method ActivityPrevention activityPrevention(array $options = [])
 * @method BbsPrevention bbsPrevention(array $options = [])
 * @method AfsCheck afsCheck(array $options = [])
 * @method AfsAppCheck afsAppCheck(array $options = [])
 */
class JaqApiResolver extends ApiResolver
{
}

class Rpc extends \AlibabaCloud\Client\Resolver\Rpc
{
    /** @var string */
    public $product = 'jaq';

    /** @var string */
    public $version = '2016-11-23';

    /** @var string */
    public $method = 'POST';
}

/**
 * @method string getProtocolVersion()
 * @method $this withProtocolVersion($value)
 * @method string getCurrentUrl()
 * @method $this withCurrentUrl($value)
 * @method string getReferer()
 * @method $this withReferer($value)
 * @method string getRegisterIp()
 * @method $this withRegisterIp($value)
 * @method string getAgent()
 * @method $this withAgent($value)
 * @method string getIDNumber()
 * @method $this withIDNumber($value)
 * @method string getPhoneNumber()
 * @method $this withPhoneNumber($value)
 * @method string getSource()
 * @method $this withSource($value)
 * @method string getSessionId()
 * @method $this withSessionId($value)
 * @method string getUserId()
 * @method $this withUserId($value)
 * @method string getBankCardNumber()
 * @method $this withBankCardNumber($value)
 * @method string getExtendData()
 * @method $this withExtendData($value)
 * @method string getMacAddress()
 * @method $this withMacAddress($value)
 * @method string getLoginDate()
 * @method $this withLoginDate($value)
 * @method string getCallerName()
 * @method $this withCallerName($value)
 * @method string getEmail()
 * @method $this withEmail($value)
 * @method string getAddress()
 * @method $this withAddress($value)
 * @method string getCookie()
 * @method $this withCookie($value)
 * @method string getIp()
 * @method $this withIp($value)
 * @method string getRegisterDate()
 * @method $this withRegisterDate($value)
 * @method string getIdType()
 * @method $this withIdType($value)
 * @method string getCompanyName()
 * @method $this withCompanyName($value)
 * @method string getLoginIp()
 * @method $this withLoginIp($value)
 * @method string getJsToken()
 * @method $this withJsToken($value)
 * @method string getPasswordHash()
 * @method $this withPasswordHash($value)
 * @method string getSDKToken()
 * @method $this withSDKToken($value)
 * @method string getUserName()
 * @method $this withUserName($value)
 */
class MessagePrevention extends Rpc
{
}

/**
 * @method string getProtocolVersion()
 * @method $this withProtocolVersion($value)
 * @method string getCurrentUrl()
 * @method $this withCurrentUrl($value)
 * @method string getReferer()
 * @method $this withReferer($value)
 * @method string getAgent()
 * @method $this withAgent($value)
 * @method string getAddress()
 * @method $this withAddress($value)
 * @method string getCookie()
 * @method $this withCookie($value)
 * @method string getIp()
 * @method $this withIp($value)
 * @method string getIDNumber()
 * @method $this withIDNumber($value)
 * @method string getPhoneNumber()
 * @method $this withPhoneNumber($value)
 * @method string getSource()
 * @method $this withSource($value)
 * @method string getSessionId()
 * @method $this withSessionId($value)
 * @method string getUserId()
 * @method $this withUserId($value)
 * @method string getBankCardNumber()
 * @method $this withBankCardNumber($value)
 * @method string getIdType()
 * @method $this withIdType($value)
 * @method string getExtendData()
 * @method $this withExtendData($value)
 * @method string getCompanyName()
 * @method $this withCompanyName($value)
 * @method string getNickName()
 * @method $this withNickName($value)
 * @method string getJsToken()
 * @method $this withJsToken($value)
 * @method string getMacAddress()
 * @method $this withMacAddress($value)
 * @method string getSDKToken()
 * @method $this withSDKToken($value)
 * @method string getCallerName()
 * @method $this withCallerName($value)
 * @method string getEmail()
 * @method $this withEmail($value)
 */
class SpamRegisterPrevention extends Rpc
{
}

/**
 * @method string getProtocolVersion()
 * @method $this withProtocolVersion($value)
 * @method string getCurrentUrl()
 * @method $this withCurrentUrl($value)
 * @method string getReferer()
 * @method $this withReferer($value)
 * @method string getRegisterIp()
 * @method $this withRegisterIp($value)
 * @method string getAgent()
 * @method $this withAgent($value)
 * @method string getIDNumber()
 * @method $this withIDNumber($value)
 * @method string getPhoneNumber()
 * @method $this withPhoneNumber($value)
 * @method string getSource()
 * @method $this withSource($value)
 * @method string getSessionId()
 * @method $this withSessionId($value)
 * @method string getUserId()
 * @method $this withUserId($value)
 * @method string getBankCardNumber()
 * @method $this withBankCardNumber($value)
 * @method string getExtendData()
 * @method $this withExtendData($value)
 * @method string getMacAddress()
 * @method $this withMacAddress($value)
 * @method string getLoginDate()
 * @method $this withLoginDate($value)
 * @method string getCallerName()
 * @method $this withCallerName($value)
 * @method string getEmail()
 * @method $this withEmail($value)
 * @method string getAddress()
 * @method $this withAddress($value)
 * @method string getCookie()
 * @method $this withCookie($value)
 * @method string getIp()
 * @method $this withIp($value)
 * @method string getRegisterDate()
 * @method $this withRegisterDate($value)
 * @method string getIdType()
 * @method $this withIdType($value)
 * @method string getCompanyName()
 * @method $this withCompanyName($value)
 * @method string getLoginIp()
 * @method $this withLoginIp($value)
 * @method string getJsToken()
 * @method $this withJsToken($value)
 * @method string getPasswordHash()
 * @method $this withPasswordHash($value)
 * @method string getSDKToken()
 * @method $this withSDKToken($value)
 * @method string getUserName()
 * @method $this withUserName($value)
 */
class OtherPrevention extends Rpc
{
}

/**
 * @method string getProtocolVersion()
 * @method $this withProtocolVersion($value)
 * @method string getCurrentUrl()
 * @method $this withCurrentUrl($value)
 * @method string getReferer()
 * @method $this withReferer($value)
 * @method string getRegisterIp()
 * @method $this withRegisterIp($value)
 * @method string getAgent()
 * @method $this withAgent($value)
 * @method string getIDNumber()
 * @method $this withIDNumber($value)
 * @method string getPhoneNumber()
 * @method $this withPhoneNumber($value)
 * @method string getSource()
 * @method $this withSource($value)
 * @method string getSessionId()
 * @method $this withSessionId($value)
 * @method string getUserId()
 * @method $this withUserId($value)
 * @method string getBankCardNumber()
 * @method $this withBankCardNumber($value)
 * @method string getAccountExist()
 * @method $this withAccountExist($value)
 * @method string getExtendData()
 * @method $this withExtendData($value)
 * @method string getMacAddress()
 * @method $this withMacAddress($value)
 * @method string getPasswordCorrect()
 * @method $this withPasswordCorrect($value)
 * @method string getCallerName()
 * @method $this withCallerName($value)
 * @method string getEmail()
 * @method $this withEmail($value)
 * @method string getAddress()
 * @method $this withAddress($value)
 * @method string getCookie()
 * @method $this withCookie($value)
 * @method string getIp()
 * @method $this withIp($value)
 * @method string getRegisterDate()
 * @method $this withRegisterDate($value)
 * @method string getIdType()
 * @method $this withIdType($value)
 * @method string getCompanyName()
 * @method $this withCompanyName($value)
 * @method string getLoginType()
 * @method $this withLoginType($value)
 * @method string getJsToken()
 * @method $this withJsToken($value)
 * @method string getSDKToken()
 * @method $this withSDKToken($value)
 * @method string getPasswordHash()
 * @method $this withPasswordHash($value)
 * @method string getUserName()
 * @method $this withUserName($value)
 */
class LoginPrevention extends Rpc
{
}

/**
 * @method string getAccountName()
 * @method $this withAccountName($value)
 * @method string getPasswordHash()
 * @method $this withPasswordHash($value)
 * @method string getCallerName()
 * @method $this withCallerName($value)
 */
class CheckAccountAndPasswordRisk extends Rpc
{
}

/**
 * @method string getProtocolVersion()
 * @method $this withProtocolVersion($value)
 * @method string getCurrentUrl()
 * @method $this withCurrentUrl($value)
 * @method string getReferer()
 * @method $this withReferer($value)
 * @method string getRegisterIp()
 * @method $this withRegisterIp($value)
 * @method string getAgent()
 * @method $this withAgent($value)
 * @method string getIDNumber()
 * @method $this withIDNumber($value)
 * @method string getPhoneNumber()
 * @method $this withPhoneNumber($value)
 * @method string getSource()
 * @method $this withSource($value)
 * @method string getSessionId()
 * @method $this withSessionId($value)
 * @method string getPrize()
 * @method $this withPrize($value)
 * @method string getUserId()
 * @method $this withUserId($value)
 * @method string getBankCardNumber()
 * @method $this withBankCardNumber($value)
 * @method string getExtendData()
 * @method $this withExtendData($value)
 * @method string getPrizeType()
 * @method $this withPrizeType($value)
 * @method string getMacAddress()
 * @method $this withMacAddress($value)
 * @method string getCallerName()
 * @method $this withCallerName($value)
 * @method string getEmail()
 * @method $this withEmail($value)
 * @method string getActivityDescription()
 * @method $this withActivityDescription($value)
 * @method string getAddress()
 * @method $this withAddress($value)
 * @method string getCookie()
 * @method $this withCookie($value)
 * @method string getIp()
 * @method $this withIp($value)
 * @method string getRegisterDate()
 * @method $this withRegisterDate($value)
 * @method string getActivityId()
 * @method $this withActivityId($value)
 * @method string getIdType()
 * @method $this withIdType($value)
 * @method string getCompanyName()
 * @method $this withCompanyName($value)
 * @method string getJsToken()
 * @method $this withJsToken($value)
 * @method string getSDKToken()
 * @method $this withSDKToken($value)
 * @method string getUserName()
 * @method $this withUserName($value)
 */
class ActivityPrevention extends Rpc
{
}

/**
 * @method string getProtocolVersion()
 * @method $this withProtocolVersion($value)
 * @method string getCurrentUrl()
 * @method $this withCurrentUrl($value)
 * @method string getReferer()
 * @method $this withReferer($value)
 * @method string getAgent()
 * @method $this withAgent($value)
 * @method string getAddress()
 * @method $this withAddress($value)
 * @method string getCookie()
 * @method $this withCookie($value)
 * @method string getIp()
 * @method $this withIp($value)
 * @method string getPhoneNumber()
 * @method $this withPhoneNumber($value)
 * @method string getSource()
 * @method $this withSource($value)
 * @method string getSessionId()
 * @method $this withSessionId($value)
 * @method string getUserId()
 * @method $this withUserId($value)
 * @method string getIdType()
 * @method $this withIdType($value)
 * @method string getExtendData()
 * @method $this withExtendData($value)
 * @method string getCompanyName()
 * @method $this withCompanyName($value)
 * @method string getNickName()
 * @method $this withNickName($value)
 * @method string getJsToken()
 * @method $this withJsToken($value)
 * @method string getMacAddress()
 * @method $this withMacAddress($value)
 * @method string getSDKToken()
 * @method $this withSDKToken($value)
 * @method string getCallerName()
 * @method $this withCallerName($value)
 * @method string getEmail()
 * @method $this withEmail($value)
 */
class BbsPrevention extends Rpc
{
}

/**
 * @method string getSig()
 * @method $this withSig($value)
 * @method string getSession()
 * @method $this withSession($value)
 * @method string getCallerName()
 * @method $this withCallerName($value)
 * @method string getPlatform()
 * @method $this withPlatform($value)
 * @method string getToken()
 * @method $this withToken($value)
 * @method string getScene()
 * @method $this withScene($value)
 */
class AfsCheck extends Rpc
{
}

/**
 * @method string getSession()
 * @method $this withSession($value)
 * @method string getCallerName()
 * @method $this withCallerName($value)
 */
class AfsAppCheck extends Rpc
{
}
